Bug 1417011 - Only root can run the Xorg server (multi-user mode)/Only root can log in (graphics mode)
Summary: Only root can run the Xorg server (multi-user mode)/Only root can log in (gra...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 25
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
: 1417012 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 00:34 UTC by wwaustin
Modified: 2017-12-12 10:39 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:39:56 UTC
Type: Bug


Attachments (Terms of Use)

Description wwaustin 2017-01-27 00:34:43 UTC
Description of problem:
After doing a clean install (Fedora FC25) of the workstation O/S, if the computer is in graphics only mode, no user except root can log in to the GUI.
(This was only a test- the machine runs normally in multi-user mode).
Users can log in; however, only root can get an X window session via startx.

I thought it was an install problem, and wiped out and redid the installation.
The results were unchanged.  Only root can run X windows.


Version-Release number of selected component (if applicable): (occurs with all kernels, and all xorg packages used so far, and is unchanged if I install the proprietary NVIDIA driver instead of using the nouveau driver.)

kernel-4.1.13-100.fc21.x86_64
xorg-x11-drv-nvidia-340xx-340.96-1.fc21.x86_64

How reproducible:

100%

Steps to Reproduce:
1.Boot machine in multiuser mode
2.log in as anybody but root
3.run startx

Actual results:
Server tries to load (screen blanks briefly) then fails.  No useful info in /var/log/Xorg.0.log
Error message resembles fragment of a shell script repeated 3-6 times.
(The fragment
        ?? is not a valid number"; # wait until
is repeated multiple times. Presumably the first part ending in the ";" is part of an error message, and the part following the pound sign begins a comment.  But that's just an educated guess... sorry)

Occasionally (see below under Additional...) the message is preceded by the message:
        Only console users are permitted to run the X server
(this is from memory - may be slightly "off").

Expected results:
X session should begin normally

Additional info:

Similar results for a non-privileged user in graphics-only mode.  Try to log in, screen goes black, eventually you're back at the login prompt.

I have verified the checksum on both copies of the DVD (identical) against the one in the file.  It is correct.

The problem clearly acts like a permissions problem, but I can't find it.

If I put the previous root HD back in and start up (no changes to the hardware) with FC23, everything works correctly and the x sessions start properly.

One possible "irritating" issue connected to this is that there appears to be NO way (short of removing the gnome desktop altogether) to run any desktop except gnome from the multi-user system.  As we have apps which are kde specific, 
gnome is not useful here.

I will send full machine particulars, logs, etc. if you will let me know what you need.  (sorry but I'm not sure which ones you'll need).

A situation exists which may have an impact here.  My ISP has been having service problems for 2 weeks (replacing cables), and as a result my internet connection drops 3-5 times a day.  When it has dropped, the error message "Only Console Users are allowed .." shows up but is absent when there is a connection.  This one makes no sense to me, but I'm including it just in case.

Comment 1 wwaustin 2017-01-27 16:09:02 UTC
*** Bug 1417012 has been marked as a duplicate of this bug. ***

Comment 2 wwaustin 2017-02-18 00:01:14 UTC
I recommend this bug be killed as a much more accurate description including a full description of the underlying problem in /usr/bin/startx (having to do with /bin/sh failing when it sees a shell option (for /bin/ksh) in the user's profile which it does not recognize) is found in bug number 1417011.

Comment 3 Fedora End Of Life 2017-11-16 18:46:21 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:39:56 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.